Meta: Start moving common shell definitions into a common file

This commit is contained in:
Tim Schumacher 2022-10-16 21:46:42 +02:00 committed by Linus Groh
parent 9d6c4c5137
commit 2a4f81fc83
6 changed files with 25 additions and 50 deletions

15
Meta/.shell_include.sh Executable file
View file

@ -0,0 +1,15 @@
#!/bin/sh
# shellcheck disable=SC2034
# SC2034: "Variable appears unused. Verify it or export it."
# Those are intentional here, as the file is meant to be included elsewhere.
SUDO="sudo"
if [ "$(uname -s)" = "SerenityOS" ]; then
SUDO="pls"
fi
die() {
echo "die: $*"
exit 1
}

View file

@ -2,16 +2,9 @@
set -e
SUDO="sudo"
script_path=$(cd -P -- "$(dirname -- "$0")" && pwd -P)
if [ "$(uname -s)" = "SerenityOS" ]; then
SUDO="pls"
fi
die() {
echo "die: $*"
exit 1
}
. "${script_path}/.shell_include.sh"
if [ "$(id -u)" != 0 ]; then
set +e
@ -98,7 +91,6 @@ mkdir -p mnt
mount "${dev}${partition_number}" mnt/ || die "couldn't mount filesystem"
echo "done"
script_path=$(cd -P -- "$(dirname -- "$0")" && pwd -P)
"$script_path/build-root-filesystem.sh"
if [ -z "$1" ]; then

View file

@ -2,16 +2,9 @@
set -e
SUDO="sudo"
script_path=$(cd -P -- "$(dirname -- "$0")" && pwd -P)
if [ "$(uname -s)" = "SerenityOS" ]; then
SUDO="pls"
fi
die() {
echo "die: $*"
exit 1
}
. "${script_path}/.shell_include.sh"
if [ "$(id -u)" != 0 ]; then
set +e
@ -116,7 +109,6 @@ mkdir -p mnt
mount "${dev}${partition_number}" mnt/ || die "couldn't mount filesystem"
echo "done"
script_path=$(cd -P -- "$(dirname -- "$0")" && pwd -P)
"$script_path/build-root-filesystem.sh"
if [ -z "$2" ]; then

View file

@ -2,16 +2,9 @@
set -e
SUDO="sudo"
script_path=$(cd -P -- "$(dirname -- "$0")" && pwd -P)
if [ "$(uname -s)" = "SerenityOS" ]; then
SUDO="pls"
fi
die() {
echo "die: $*"
exit 1
}
. "${script_path}/.shell_include.sh"
if [ ! -d "limine" ]; then
echo "limine not found, the script will now build it"
@ -102,7 +95,6 @@ mkdir -p mnt
mount "${dev}p2" mnt || die "couldn't mount root filesystem"
echo "done"
script_path=$(cd -P -- "$(dirname -- "$0")" && pwd -P)
"$script_path/build-root-filesystem.sh"
echo "installing limine"

View file

@ -14,16 +14,9 @@ fi
set -e
SUDO="sudo"
SCRIPT_DIR="$(dirname "${0}")"
if [ "$(uname -s)" = "SerenityOS" ]; then
SUDO="pls"
fi
die() {
echo "die: $*"
exit 1
}
. "${SCRIPT_DIR}/.shell_include.sh"
USE_FUSE2FS=0
@ -66,7 +59,6 @@ else
fi
fi
SCRIPT_DIR="$(dirname "${0}")"
# Prepend the toolchain qemu directory so we pick up QEMU from there
PATH="$SCRIPT_DIR/../Toolchain/Local/qemu/bin:$PATH"

View file

@ -2,16 +2,9 @@
set -e
SUDO="sudo"
script_path=$(cd -P -- "$(dirname -- "$0")" && pwd -P)
if [ "$(uname -s)" = "SerenityOS" ]; then
SUDO="pls"
fi
die() {
echo "die: $*"
exit 1
}
. "${script_path}/.shell_include.sh"
cleanup() {
if [ -d mnt ]; then
@ -60,5 +53,4 @@ else
echo "done"
fi
script_path=$(cd -P -- "$(dirname -- "$0")" && pwd -P)
"$script_path/build-root-filesystem.sh"